Bug 246612 - devel/p5-Test-Requires: Update to 0.11
Summary: devel/p5-Test-Requires: Update to 0.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jun Kuriyama
URL: https://metacpan.org/release/Test-Req...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-20 19:19 UTC by Sergei Vyshenski
Modified: 2020-08-15 19:56 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch to update the port (1.28 KB, patch)
2020-05-20 19:19 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-05-20 19:19:26 UTC
Created attachment 214699 [details]
patch to update the port

- update 0.10 -> 0.11
Changes: https://metacpan.org/changes/distribution/Test-Requires
- add LICENSE_FILE
- request maintainership

- "portlint -AC" gives non-relevant warns.
- Tested with:
12.1-RELEASE-p5 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.4
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Steve Wills freebsd_committer 2020-06-04 00:17:20 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/152640868
Comment 2 commit-hook freebsd_committer 2020-08-15 19:56:00 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 19:54:59 UTC 2020
New revision: 545061
URL: https://svnweb.freebsd.org/changeset/ports/545061

Log:
  devel/p5-Test-Requires: Update to 0.11

  PR:		246612
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com> (maintainer)
  Approved by:	maintainer timeout (kuriyama, >2 months)

Changes:
  head/devel/p5-Test-Requires/Makefile
  head/devel/p5-Test-Requires/distinfo
Comment 3 Steve Wills freebsd_committer 2020-08-15 19:56:50 UTC
Committed, thanks!